<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $conf, $template;
load_language('plugin.lang', F2B_PATH);
$conf['Front2Back'] = explode(',', $conf['Front2Back']);

if (!function_exists('stripslashes_deep'))
{
  function stripslashes_deep($value)
  {
    return is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value);
  }
}

// Enregistrement de la configuration
if (isset($_POST['submit']))
{
  $conf['Front2Back'] = array(
    !empty($_POST['path']) ? rtrim($_POST['path'],'/').'/' : '',
    !empty($_POST['parent']) ? rtrim($_POST['parent'],'/').'/' : '',
    !empty($_POST['hd_parent']) ? rtrim($_POST['hd_parent'],'/').'/' : '',
    !empty($_POST['suffix']) ? $_POST['suffix'] : '',
    $_POST['position'],
    $_POST['switch_mode'],
    $_POST['transition'],
    serialize(stripslashes_deep(str_replace(array("'",'"',','), null, $_POST['link_name']))),
  );
      
  conf_update_param('Front2Back', implode (',', $conf['Front2Back'])); 
  array_push($page['infos'], l10n('Information data registered in database'));
}

// Gestion des langues pour le bloc menu
$conf['Front2Back'][7] = unserialize($conf['Front2Back'][7]);
$template->append('link_name', array(
  'LANGUAGE_NAME' => l10n('Default'),
  'LANGUAGE_CODE' => 'default',
  'VALUE' => @$conf['Front2Back'][7]['default'],
  )
);
foreach (get_languages() as $language_code => $language_name)
{
	$template->append('link_name', array(
    'LANGUAGE_NAME' => $language_name,
    'LANGUAGE_CODE' => $language_code,
    'VALUE' => isset($conf['Front2Back'][7][$language_code]) ? $conf['Front2Back'][7][$language_code] : '',
    )
  );
}

$template->assign(array(
  'F2B_PATH' => F2B_PATH,
  'PATH' => $conf['Front2Back'][0],
  'PARENT' => $conf['Front2Back'][1],
  'HD_PARENT' => $conf['Front2Back'][2],
  'SUFFIX' => $conf['Front2Back'][3],
  'POSITION' => $conf['Front2Back'][4],
  'SWITCH_MODE' => $conf['Front2Back'][5],
  'TRANSITION' => $conf['Front2Back'][6],
));
  
$template->set_filename('Front2Back_conf', dirname(__FILE__).'/template/admin.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'Front2Back_conf');

?>